Bug 957028 (CVE-2013-2014)

Summary: CVE-2013-2014 OpenStack keystone: no limitation for requests and headers size which can cause a crash
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: abaron, aortega, apevec, apevec, ayoung, bfilippov, breu, chrisw, cpelland, dallan, d.busby, Jan.van.Eldik, jkt, jonathansteffan, jose.castro.leon, markmc, p, rbryant, rhos-maint
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130110,reported=20130426,source=upstream,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P,fedora-all/openstack-keystone=affected,epel-6/openstack-keystone=affected,openstack-1/openstack-keystone=wontfix,openstack-2.1/openstack-keystone=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-08 23:24:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 957029, 957030, 957031    
Bug Blocks: 957039    

Description Kurt Seifried 2013-04-26 04:18:27 EDT
Yaguang Tang reports:

concurrent requests with large POST body can crash the keystone process.

this can be used by Malicious and lead to DOS to Cloud Service Provider.

The OpenStack project has confirmed:

Concurrent Keystone POST requests with large body messages are held in memory 
without filtering or rate limiting, this can lead to resource exhaustion on 
the Keystone server.

External references:
https://bugs.launchpad.net/keystone/+bug/1098177
https://bugs.launchpad.net/ossn/+bug/1155566
Comment 1 Kurt Seifried 2013-04-26 04:19:21 EDT
Created openstack-keystone tracking bugs for this issue

Affects: fedora-all [bug 957029]
Comment 2 Kurt Seifried 2013-04-26 04:20:13 EDT
Created openstack-keystone tracking bugs for this issue

Affects: epel-6 [bug 957030]
Comment 4 Kurt Seifried 2013-05-25 03:46:31 EDT
This has been fixed upstream in OpenStack Grizzly https://review.openstack.org/#/c/19567/
Comment 5 Fedora Update System 2013-07-20 05:32:14 EDT
openstack-keystone-2013.1.2-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.